*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

#wrapper{
    height: 70vh;
    width: 70vw;
    overflow: auto;
    margin-top: 3rem;
    margin-bottom: 3rem;
    
}

body{
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background: rgb(71,71,71);
    background: linear-gradient(90deg, rgba(71,71,71,1) 0%, rgba(59,59,59,1) 100%);
}

.cell{
    background-color: #fff;
    text-align: center;
}

.head-table{
    color: #fff;
    width: 100%;
    text-align:start;
}

th {
    position: -webkit-sticky;
    position: sticky;
    top: 0; left: 0;
    background: black;
    color: white;
    white-space: nowrap;
      
}

.overflow{
    overflow: auto;
    width: 50vh;
}

.head-row{
    text-align: left;
}

.data-key{
    color: #fff;
}

#en-tete{
    display: flex;
    width: 100%;
    background-color: rgb(75, 1, 1);
    margin-top: 2rem;
}

.box-input{
    display: flex;
    align-items: center;
    justify-content: center;
}

.input-json{
    width: 80px;
    height: 30px;
}

#input-search{
    height: 40px;
    width: 180px;
    text-align: center;
}

#input-envoyer{
    height: 40px;
    width: 60px;
}

.center{
    margin: 0 auto;
}

.textalign{
    text-align: center;
}

.row{
    display: flex;
    width: 100%;
}

.dataCell{
    width: 100%;
}

#wrapper > table{
    width: 100%;
}

.sort{
    height: 40px;
    width: 80px;
}

.wrapper-input {
    display: flex;
    justify-content:center;
    align-items:center;
}

#search-json {
    height: 40px;
}

th{
    cursor: pointer;
}

table{
    table-layout: fixed;
    background-color: whitesmoke;
}

td{
    max-width: 100px;
    overflow-y: auto;
    white-space: nowrap;  
}